2019-12-07 08:26 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005859Spring engineGeneralpublic2018-01-19 23:06
ReporterAntero 
Assigned ToKloot 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0005859: A replay recorded with DemoFromDemo doesn't retain godmode commands
DescriptionThis is another thing that would be useful when making promotional videos from replays. Sometimes the units in the replay have undesirable behavior, which can fortunately be altered by enabling godmode and giving commands to these units as a spectator.

The DemoFromDemo setting makes a new replay from the replay you are watching. This would be useful for making a replay of the altered godmode commands, so that these commands wouldn't have to be given every single time if recording the same shot multiple times. However, these godmode commands aren't applied in the newly created replay. The godmode commands exist in the new replay, but there is the following kind of error when the replay tries to apply a godmode command:
Error: [DESYNC WARNING] checksum 4fc6f4b5 from demo spectator 26 (UnnamedPlayer (spec)) does not match our checksum 75394b1f for frame-number 3600
Steps To Reproduce1. Start a replay with DemoFromDemo=1.
2. Do /cheat, /godmode, give commands to units as a spectator.
3. Start the newl replay created from the replay.
4. The godmode commands aren't applied and there are error messages when the commands are supposed to be given.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018703

Antero (reporter)

Looks like there's a workaround though. Cheating yourself to the team that owns the units, then giving commands to them, retains the commands in the new demo-from-demo.

~0018707

Kloot (developer)

Last edited: 2018-01-05 00:14

View 3 revisions

Warnings have been fixed, though I can't reproduce the "godmode commands exist in the new replay but aren't applied" part in any way locally other than by disabling godmode after the frame at which it is enabled in the demo-from-demo. You'll need to point me to a specific (preferably short) replay where this happens.

~0018738

Antero (reporter)

Alright, this was my bad. A widget autoenabling cheat & godmode actually turned them off, because these were already enabled in the DemoFromDemo. Thanks for verifying it was on my end, feel free to close!
+Notes

-Issue History
Date Modified Username Field Change
2018-01-02 01:26 Antero New Issue
2018-01-02 03:37 Antero Note Added: 0018703
2018-01-05 00:12 Kloot Note Added: 0018707
2018-01-05 00:13 Kloot Note Edited: 0018707 View Revisions
2018-01-05 00:14 Kloot Note Edited: 0018707 View Revisions
2018-01-19 22:04 Antero Note Added: 0018738
2018-01-19 23:06 Kloot Assigned To => Kloot
2018-01-19 23:06 Kloot Status new => resolved
2018-01-19 23:06 Kloot Resolution open => fixed
2018-01-19 23:06 Kloot Fixed in Version => 104.0 +git
+Issue History